%define gitcommit 1912c8055d9f607916e0c6fc568e2c0ee0336493
%define gitdate 20231028.022709
%define shortcommit %(c=%{gitcommit}; echo ${c:0:7})

Name:          fielding
Version:       0.1^%{gitdate}.%{shortcommit}
Release:       1%{?dist}
Summary:       A simple REST API testing tool

License:       BSD-2-Clause AND CC0-1.0 AND GPL-3.0-or-later AND LGPL-2.0-or-later AND LGPL-2.1-or-later
URL:           https://apps.kde.org/en-gb/%{name}/

Source0:       https://invent.kde.org/utilities/%{name}/-/archive/%{shortcommit}/%{name}-%{shortcommit}.tar.gz

BuildRequires: kf6-rpm-macros
BuildRequires: extra-cmake-modules
BuildRequires: gcc-c++
BuildRequires: cmake
BuildRequires: reuse
BuildRequires: desktop-file-utils
BuildRequires: libappstream-glib

BuildRequires: cmake(Qt6Core)
BuildRequires: qt6-qtbase-private-devel
BuildRequires: cmake(Qt6Gui)
BuildRequires: cmake(Qt6Qml)
BuildRequires: cmake(Qt6QuickControls2)
BuildRequires: cmake(Qt6Svg)
BuildRequires: cmake(Qt6Widgets)
BuildRequires: pkgconfig(xkbcommon)

BuildRequires: cmake(KF6Kirigami2)
BuildRequires: cmake(KF6CoreAddons)
BuildRequires: cmake(KF6Config)
BuildRequires: cmake(KF6I18n)
BuildRequires: cmake(KF6DBusAddons)

Requires: hicolor-icon-theme

%description
%{summary}.

%prep
%autosetup -n %{name}-%{shortcommit} -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
# No translations for this package yet.

%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/org.kde.fielding.desktop
appstream-util validate-relax --nonet %{buildroot}%{_kf5_metainfodir}/org.kde.fielding.metainfo.xml

%files
%license LICENSES/*
%doc README.md
%{_bindir}/fielding
%{_datadir}/applications/org.kde.fielding.desktop
%{_kf5_metainfodir}/org.kde.fielding.metainfo.xml
%{_datadir}/icons/hicolor/scalable/apps/org.kde.fielding.svg

%changelog
* Thu Oct 12 2023 Steve Cossette <farchord@gmail.com> - 0.1^20231028.022709.1912c80-1
- v0.1
